Bug 947086 - Review Request: wmsystemtray - System tray (freedesktop.org systray protocol) as a Window Maker dock app
Summary: Review Request: wmsystemtray - System tray (freedesktop.org systray protocol)...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 15:03 UTC by Alexey I. Froloff
Modified: 2013-04-03 14:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 14:31:45 UTC
lemenkov: fedora-review+


Attachments (Terms of Use)

Description Alexey I. Froloff 2013-04-01 15:03:54 UTC
Spec URL: http://raorn.fedorapeople.org/review//wmsystemtray.spec
SRPM URL: http://raorn.fedorapeople.org/review//wmsystemtray-1.2-6.fc18.src.rpm

Description:
wmsystemtray is a system tray using the freedesktop.org system
tray protocol designed as a Window Maker dock app. It has the
ability to display more than one dock window to make room for
more tray icons, and the ability to scroll through the icons if
more are present than will fit.

Comment 1 Alexey I. Froloff 2013-04-01 15:04:02 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5194489

Comment 2 Peter Lemenkov 2013-04-02 07:08:59 UTC
I'll review it

Comment 3 Peter Lemenkov 2013-04-02 07:23:44 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent (except few false positives triggered by the grammar checker):

work ~/Desktop: rpmlint wmsystemtray-1.2-6.fc20.src.rpm wmsystemtray-1.2-6.fc20.x86_64.rpm wmsystemtray-debuginfo-1.2-6.fc20.x86_64.rpm 
wmsystemtray.src: W: spelling-error Summary(en_US) freedesktop -> free desktop, free-desktop, desktop
wmsystemtray.src: W: spelling-error Summary(en_US) systray -> stray
wmsystemtray.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
wmsystemtray.x86_64: W: spelling-error Summary(en_US) freedesktop -> free desktop, free-desktop, desktop
wmsystemtray.x86_64: W: spelling-error Summary(en_US) systray -> stray
wmsystemtray.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
3 packages and 0 specfiles checked; 0 errors, 6 warnings.
work ~/Desktop:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later as stated in the sources).
0 No licensing info provided in tarball.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum wmsystemtray-1.2.tar.gz*
5a5b89a574de8e8cd988519784f57999cd9e2dca2e0a96be9483d5b28bc6c32d  wmsystemtray-1.2.tar.gz
5a5b89a574de8e8cd988519784f57999cd9e2dca2e0a96be9483d5b28bc6c32d  wmsystemtray-1.2.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 It's a GUI app but it's not attended to be run by user - so no *.desktop file is required.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.

Comment 4 Alexey I. Froloff 2013-04-02 10:01:32 UTC
Package Change Request
======================
Package Name: wmsystemtray
New Branches: f18 f19
Owners: raorn

Comment 5 Gwyn Ciesla 2013-04-02 12:52:36 UTC
Unretired.


Note You need to log in before you can comment on or make changes to this bug.